import { Plugin } from "../../application/Plugin.mjs";
import { ScrollAssistantStatusProvider } from "../scroll-assistant/ScrollAssistantStatus.provider.mjs";
import { ContextMenuButtonProvider, ContextMenuProvider } from "./ContextMenu.provider.mjs";
import { designerMode, disableRightMenu, fullScreen, showScrollArea } from "./ContextMenuItemsProps.mjs";
import { ContextMenuContext, useContextMenu } from "./useContextMenu.mjs";
class PluginContextMenu extends Plugin {
    async load() {
        this.app.use(ScrollAssistantStatusProvider);
        this.app.use(ContextMenuProvider);
        this.app.use(ContextMenuButtonProvider);
        this.app.pluginContextMenu.add(designerMode.name, designerMode);
        this.app.pluginContextMenu.add(fullScreen.name, fullScreen);
        this.app.pluginContextMenu.add(disableRightMenu.name, disableRightMenu);
        this.app.pluginContextMenu.add(showScrollArea.name, showScrollArea);
    }
}
export { ContextMenuContext, PluginContextMenu, useContextMenu };
